Name:          jaad
Version:       0.8.4
Release:       1%{?dist}
Summary:       Java Advanced Audio Decoder
License:       LGPLv3 and Public Domain
URL:           http://jaadec.sourceforge.net/
Source0:       http://downloads.sourceforge.net/jaadec/%{name}-%{version}-src.zip

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: hamcrest-core
BuildRequires: java-devel
BuildRequires: javapackages-local
BuildRequires: junit

BuildArch:     noarch

%description
JAAD is an AAC decoder and MP4 demultiplexer library written completely in Java.
It uses no native libraries, is platform-independent and portable. It can read
MP4 container from almost every input-stream (files, network sockets etc.) and
decode AAC-LC (Low Complexity) and HE-AAC (High Efficiency/AAC+).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c
find -name "*.class" -print -delete
find -name "*.jar" -print -delete

# Convert from dos to unix line ending
for file in TODO TOOLS; do
 sed -i.orig 's|\r||g' $file
 touch -r $file.orig $file
 rm $file.orig
done

rm test/net/sourceforge/jaad/aac/sbr2/FilterbankTest.java \
 test/net/sourceforge/jaad/aac/sbr/FilterbankTest.java
# AssertionFailedError
rm test/net/sourceforge/jaad/aac/filterbank/FFTTest.java \
 test/net/sourceforge/jaad/aac/filterbank/MDCTTest.java

%build

%ant -f nbproject/build-impl.xml \
 -Djavac.source=1.6 -Djavac.target=1.6 \
 -Ddefault.javac.source=1.6 -Ddefault.javac.target=1.6 \
 -Djavadoc.additionalparam="-Xdoclint:none" \
 jar javadoc

%check
%ant -f nbproject/build-impl.xml \
 -Djavac.source=1.6 -Djavac.target=1.6 \
 -Ddefault.javac.source=1.6 -Ddefault.javac.target=1.6 \
 -Dlibs.junit_4.classpath=$(build-classpath junit hamcrest/core) \
 test

%install
%mvn_file %{name}:%{name} %{name}
%mvn_artifact %{name}:%{name}:%{version} dist/%{name}.jar
%mvn_install -J dist/javadoc

%files -f .mfiles
%doc TODO TOOLS
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Sun Nov 29 2015 gil cattaneo <puntogil@libero.it> 0.8.4-1
- initial rpm
